Subject: bug#11847: 24.1.50; Error: Don't know how to compile #[nil "..."]

From: "Drew Adams" <[email-masked]>
Date: Tue, 3 Jul 2012 07:44:24 -0700

> Please set debug-on-error and byte-compile-debug to t to try and get
> a backtrace for it.

Attached.

But please see my other replies, where I acknowledge that my code does call
`byte-compile'.  See the question there about whether byte-compiling a Lisp file
also compiles a sexp (e.g. a defun) inside `eval-after-load' (and if so whether
that is true in older Emacs versions also).